%% Hysteresis model after Takacs, Meszaros
% Fit function descending branch

% Mathias Lindner
% March 2014

%%
function F = func_hysteresis_dn(par, h, n_par_h)
	% get shifted static parts
	f_dn = func_static(par(n_par_h+1:end), h, par(1:n_par_h));

	% amplitudes of field strength
	h_min = abs(min(h));
	
	% vertical offset
	beta = 0.5 * (func_static(par(n_par_h+1:end), h_min, par(1:n_par_h)) - ...
		func_static(par(n_par_h+1:end), h_min, -1*par(1:n_par_h)));
	
	F = f_dn - beta;

end